Issue1700

classification
Title: "virtualenv is not compatible" to 2.5.2rc3
Type: Severity: normal
Components: Core Versions: 2.5.2rc
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: otmarhumbel Nosy List: alex.gronholm, cheffe, otmarhumbel, pjenvey
Priority: Keywords:

Created on 2011-01-25.08:26:36 by cheffe, last changed 2011-02-02.10:41:27 by otmarhumbel.

Files
File name Uploaded Description Edit Remove
1700-001-patch otmarhumbel, 2011-01-31.18:20:41 first patch
1700-patch.txt otmarhumbel, 2011-02-02.10:27:50 Patch including a test
Messages
msg6352 (view) Author: Bastian Bowe (cheffe) Date: 2011-01-25.08:26:35
I had no problems using virtualenv with jython 2.5.1 on windows 7. Now with 2.5.2rc3 I get:
C:\Sources> \Software\jython2.5.2rc3\bin\jython.bat \Software\jython2.5.1\bin\virtualenv jenv
Overwriting jenv\Lib\orig-prefix.txt with new content
New jython executable in jenv\bin\jython.bat
ERROR: The executable jenv\bin\jython.bat is not functioning
ERROR: It thinks sys.prefix is 'c:\\software\\jython2.5.2rc3' (should be 'c:\\sources\\jenv')
ERROR: virtualenv is not compatible with this system or executable

Regards

Bastian
msg6370 (view) Author: Alex Grönholm (alex.gronholm) Date: 2011-01-30.23:20:00
I tracked down this issue. It's a regression bug introduced between b2 and rc1 in jython.bat. Using the _JYTHON_HOME variable from the environment directly results in the wrong jython home directory set in the interpreter launched in a subprocess. Commenting out line 31 in jython.bat fixes the problem.
msg6373 (view) Author: Oti Humbel (otmarhumbel) Date: 2011-01-31.08:06:55
thanks for the analysis, i'll take care of this
msg6375 (view) Author: Oti Humbel (otmarhumbel) Date: 2011-01-31.18:20:41
The changes in 1700-001-patch fix the problem for me (manual tests).
I'll try to write an automated test, too.
msg6377 (view) Author: Oti Humbel (otmarhumbel) Date: 2011-02-02.10:27:50
1700-patch.txt now includes a test as well
msg6378 (view) Author: Oti Humbel (otmarhumbel) Date: 2011-02-02.10:41:27
committed in revision 7192
History
Date User Action Args
2011-02-02 10:41:27otmarhumbelsetstatus: open -> closed
resolution: fixed
messages: + msg6378
2011-02-02 10:27:51otmarhumbelsetfiles: + 1700-patch.txt
messages: + msg6377
2011-01-31 18:20:41otmarhumbelsetfiles: + 1700-001-patch
messages: + msg6375
2011-01-31 08:06:56otmarhumbelsetassignee: otmarhumbel
messages: + msg6373
2011-01-30 23:20:01alex.gronholmsetnosy: + pjenvey, otmarhumbel, alex.gronholm
messages: + msg6370
2011-01-25 08:26:36cheffecreate